#pragma once

/*
Version 1.0.0
*/

#include <windows.h>
#include "MM Engine Addons.h"

class DS ImportTable
{

private:
	HMODULE m_hModule;
	HMODULE m_hApiModule;
	PIMAGE_THUNK_DATA m_pThunk;

public:
	ImportTable() {};
	virtual ~ImportTable() {};
	void SetParentModule(HMODULE hParent);
	void SetParentModule(LPCSTR ParentModuleName);
	bool LocateForModule(LPCSTR ApiModuleName);
	bool LocateForModule(HMODULE hApiModule);
	bool RedirectImport(int ApiOrdinal, LPVOID NewAddress);
	bool RedirectImport(LPCSTR Api, LPVOID NewAddress);

};